Bug 98754 - Salvaging 'deleted' files
Salvaging 'deleted' files
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 11:27 EDT by Steve Brown
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Brown 2003-07-08 11:27:32 EDT
Description of problem:

On a Novell fileserver, when a user deletes a file, the file can usually be
recovered with the 'Filer' utility.  The same is true when an application such
as MS Excel saves a modified file -- the previous version of the file can be
salvaged if necessary.  If RedHat Linux does not have this capability, then it
should be added.


Version-Release number of selected component (if applicable):


How reproducible:

Deleted a file.  How can I recover it?


Steps to Reproduce:
1. Delete a file or modify and save an Excel file (with Linux running Samba server).
2. Run a utility, like Novell's 'Filer', to un-delete the file.
3.
    
Actual results:

 File permanently deleted.

Expected results:

 File marked as deleted, able to be recovered.

Additional info:
Comment 1 Steve Brown 2003-07-08 11:30:10 EDT
I a frequently asked to restore spreadsheets from previously deleted versions. 
If I am going to put a server in place for our Accounting Department to store
its spreadsheets, it is imperative that the server have this capability.
Comment 2 Bugzilla owner 2004-09-30 11:41:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.